Connect Domain
API referenceConnections

Start connecting a domain (idempotent via Idempotency-Key)

POST
/connections
AuthorizationBearer <token>

API key: sk_test_… / sk_live_… (hashed at rest, scoped)

In: header

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/connections" \  -H "Content-Type: application/json" \  -d '{    "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",    "hostname": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",  "hostname": "string",  "kind": "apex",  "setup_type": "automatic",  "state": "created",  "provider": "string",  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "error_code": "string",  "created_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": null  },  "upgrade_url": "http://example.com"}
{  "error": {    "code": "string",    "message": "string",    "details": null  }}
{  "error": {    "code": "string",    "message": "string",    "details": null  }}